	set fn=
	set el=
	KILL P1.TXT
	echo off
	CLS
	echo Rev 3 BANK0 Loader
	echo This is for updating DSP10x MONITOR
	echo.
	echo To specify a different MONITOR program to load,
	echo Type MON XMONxxx.HEX or whatever the filename is....
	echo You may quit by holding the Control key and C,
	echo to start over,	 otherwise hit any key to load XMON295.HEX
	echo.
	echo Control C to start over
	echo              OR
	echo Strike a key when ready
	echo.
	echo.
	echo.
	pause > nul
	echo.
	echo checking files and COM ports
	echo.
	IF NOT EXIST AD1.EXE echo File AD1.EXE not found.
	IF NOT EXIST AD1.EXE GOTO splash
	IF NOT EXIST EZLD.COM echo File EZLD.COM not found.
	IF NOT EXIST EZLD.COM GOTO splash
	IF NOT EXIST FLASHUTB.EXE echo File FLASHUTB.EXE not found.
	IF NOT EXIST FLASHUTB.EXE GOTO splash
	IF NOT EXIST XFINDMN1.EXE echo File XFINDMN1.EXE not found.
	IF NOT EXIST XFINDMN1.EXE GOTO splash
	IF NOT EXIST XFLASH1.EXE echo File XFLASH1.EXE not found.
	IF NOT EXIST XFLASH1.EXE GOTO splash
	IF NOT EXIST XMON295.HEX echo File XMON295.HEX not found.
	IF NOT EXIST XMON295.HEX GOTO splash
	rem call ad1 to check PC BIOS
	AD1

	rem if option exists goto ..
	if not "%1"=="" GOTO rename
	rem otherwise fall through and
	set fn=XMON295.HEX
	rem and skip checking file name
	GOTO testports
:rename
	rem  make file name = option 1
	set fn=%1
	rem  if misspelled or not exist go to trap
	IF NOT EXIST %fn% GOTO bsp
	rem  if all OK fall through
	
:testports
	set el=99
	CLS
	
	echo Checking ports and DSPx
	echo.
	IF EXIST P1.TXT	GOTO noport

	echo.
	XFINDMN1
	
	 rem  Returns a value to ERRORLEVEL
	 rem      0    No DSPx program found
	 rem      1+p  Program on COM1  
	 rem      2+p  Program on COM2
	 rem      3+p  Program on COM3
	 rem      4+p  Program on COM4
	 rem      where p=0 for Monitor program
	 rem            p=4 for FLASHUTx program
	 rem            p=8 for DSP-10 UHF3 program
	
	echo off
	
	rem  UHF3 running
	IF ERRORLEVEL 12 SET el=4
	IF %el%==4 GOTO  doreset
	IF ERRORLEVEL 11 SET el=3
	IF %el%==3 GOTO  doreset
	IF ERRORLEVEL 10 SET el=2
	IF %el%==2 GOTO  doreset
	IF ERRORLEVEL 9 SET el=1
	IF %el%==1 GOTO  doreset
	
	rem flash util running
	IF ERRORLEVEL 8 SET el=4
	IF %el%==4 GOTO doload
	IF ERRORLEVEL 7 SET el=3
	IF %el%==3 GOTO doload
	IF ERRORLEVEL 6 SET el=2
	IF %el%==2 GOTO doload
	IF ERRORLEVEL 5 SET el=1
	IF %el%==1 GOTO doload
	
	rem  monitor running
	IF ERRORLEVEL 4 SET el=4
	IF %el%==4 GOTO runezld
	IF ERRORLEVEL 3 SET el=3
	IF %el%==3 GOTO runezld
	IF ERRORLEVEL 2 SET el=2
	IF %el%==2 GOTO runezld
	IF ERRORLEVEL 1 SET el=1
	IF %el%==1 GOTO runezld

	IF ERRORLEVEL 0 SET el=0
	IF %el%==0 GOTO noserial
	IF %el%==99 GOTO bummer
	echo EXITING BATCH FILE
	GOTO end

:doreset
	echo.
	echo UHF3 is running in DSP memory
	echo Check that JUMPER JP1 is OPEN
	pause
	echo.
	echo Hit reset in the DSPx/KDSP interface NOW
	pause
	CLS
	GOTO testports
	
:runezld
	echo Wait while EZLD installs flash utility to DSP memory
	echo.
	echo on
	ezld %el% flashutb.exe g
	echo off
	GOTO testports
	
:doload
	echo.
	echo The Flash utility is running and will write the contents
	echo of %fn% to Bank1. 
	echo Leave power on, and DO NOT hit the
	echo reset until directed.
	echo.
	



	set ec=5
	echo Place jumper JP2 to enable writing of BANK1, NOW
	pause
	echo on
	xflash1 %el% 1 %fn% 0
	echo off
    IF ERRORLEVEL 1 set ec=1
    IF %ec%==1 GOTO badld
    IF ERRORLEVEL 0 set ec=0
    IF %ec%==0 GOTO end
rem        goto end
:badld
    echo.
	echo JP1 should still be open.  Leave it open until directed.
	echo This will preserve the monitor running in DSP memory.
	echo DO NOT HIT RESET on the KDSP interface board or disrupt
	echo power until we can confirm a successful load of BANK0.
	echo you have arrived at this message because you chose something
	echo other than Y or y, or XFLASH1 found an error that prevents
	echo loading the MONITOR to Bank0, such as JP2 jumper is not
	echo in place. Inspection of the XF_TRACE.TXT may provide insight.
	echo The FLASH UTILITY should still be running in the DSP, and
	echo there is still a copy of the MONITOR in memory. 
	echo.
	echo XMON295.HEX  checksum is 563F and will be reported after a
	echo successful load by XFASH1.EXE. Restart the batch file, "MON"
	echo and pay attention to the screen.
	echo EXITING BATCH FILE
    GOTO end
:bummer
	echo Something strange happened.
	echo EXITING BATCH FILE 
	GOTO end
:noport
	echo The PC BIOS is not set for any COM Ports.
	echo This is not a cable, power or DSP problem 
	echo This must be fixed in the computer
	echo before anything can be run.
	echo EXITING BATCH FILE
	GOTO end
:noserial
	echo No serial communications were found with the DSP-10
	echo this can be caused by the DSP-10 being off, or the
	echo serial cable not connected. Sadly, it is also possible
	echo that there is no MONITOR in the FLASH. You can use a 
	echo terminal program to check for the prescence of a monitor.
	echo EXITING BATCH FILE
	GOTO end

:bsp
	echo.
	echo.
	echo The file name  %fn%  entered as an option does not exist in the
	echo directory. Check your spelling and if the file exists in the
	echo directory.  If you know the path to the file, the path plus file
	echo can be used on the command line.
	echo.
	echo MON flash/work/NEWhex.HEX as an example
	GOTO end
	
:splash
	echo.
	echo.
	echo.
	echo AD1.EXE,EZLD.COM, MON.BAT, XFLASH1.EXE, XFINDMN1.EXE and XMON295.HEX
	echo MUST BE in the same directory. 
	echo.
:end 
