	set fn=
	set el=
	KILL P1.TXT
	echo off
	CLS
	echo Rev 3 Bank1 Loader
	echo This is for updating DSP10x DSP programs
	echo.
	echo To specify a different UHF3X program to load,
	echo Type UHF3X UHF3Xxxx.HEX or whatever the filename is....
	echo You may quit by holding the Control key and C,
	echo to start over,	 otherwise hit any key to load UHF3X35A.HEX
	echo.
	echo Control C to start over
	echo              OR
	echo Strike a key when ready
	echo.
	echo.
	echo.
	pause > nul
	echo.
	echo checking files
	echo.
	IF NOT EXIST AD1.EXE echo File AD1.EXE not found.
	IF NOT EXIST AD1.EXE GOTO splash
	IF NOT EXIST EZLD.COM echo File EZLD.COM not found.
	IF NOT EXIST EZLD.COM GOTO splash
	IF NOT EXIST FLASHUTB.EXE echo File FLASHUTB.EXE not found.
	IF NOT EXIST FLASHUTB.EXE GOTO splash
	IF NOT EXIST XFINDMN1.EXE echo File XFINDMN1.EXE not found.
	IF NOT EXIST XFINDMN1.EXE GOTO splash
	IF NOT EXIST XFLASH1.EXE echo File XFLASH1.EXE not found.
	IF NOT EXIST XFLASH1.EXE GOTO splash
	IF NOT EXIST UHF3X35A.HEX echo File UHF3X35A.HEX not found.
	IF NOT EXIST UHF3X35A.HEX GOTO splash
	rem call ad1 to check PC BIOS
	AD1
	rem if option exists goto ..
	if not "%1"=="" GOTO rename
	rem otherwise fall through and
	set fn=UHF3X35A.HEX
	rem and skip checking file name
	GOTO testports
:rename
	rem  make file name = option 1
	set fn=%1
	rem  if misspelled or not exist go to trap
	IF NOT EXIST %fn% GOTO bsp
	rem  if all OK fall through
	
:testports
	set el=99
	CLS
	
	echo Checking ports and DSPx
	echo.
	IF EXIST P1.TXT	GOTO noport
	XFINDMN1
	
	 rem  Returns a value to ERRORLEVEL
	 rem      0    No DSPx program found
	 rem      1+p  Program on COM1  
	 rem      2+p  Program on COM2
	 rem      3+p  Program on COM3
	 rem      4+p  Program on COM4
	 rem      where p=0 for Monitor program
	 rem            p=4 for FLASHUTx program
	 rem            p=8 for DSP-10 UHF3 program
	
	echo off
	
	rem  UHF3 running
	IF ERRORLEVEL 12 SET el=4
	IF %el%==4 GOTO  doreset
	IF ERRORLEVEL 11 SET el=3
	IF %el%==3 GOTO  doreset
	IF ERRORLEVEL 10 SET el=2
	IF %el%==2 GOTO  doreset
	IF ERRORLEVEL 9 SET el=1
	IF %el%==1 GOTO  doreset
	
	rem flash util running
	IF ERRORLEVEL 8 SET el=4
	IF %el%==4 GOTO doload
	IF ERRORLEVEL 7 SET el=3
	IF %el%==3 GOTO doload
	IF ERRORLEVEL 6 SET el=2
	IF %el%==2 GOTO doload
	IF ERRORLEVEL 5 SET el=1
	IF %el%==1 GOTO doload
	
	rem  monitor running
	IF ERRORLEVEL 4 SET el=4
	IF %el%==4 GOTO runezld
	IF ERRORLEVEL 3 SET el=3
	IF %el%==3 GOTO runezld
	IF ERRORLEVEL 2 SET el=2
	IF %el%==2 GOTO runezld
	IF ERRORLEVEL 1 SET el=1
	IF %el%==1 GOTO runezld

	IF ERRORLEVEL 0 SET el=0
	IF %el%==0 GOTO noserial
	IF %el%==99 GOTO bummer
	echo EXITING BATCH FILE
	GOTO end

:doreset
	echo.
	echo UHF3 is running in DSP memory
	echo Check that JUMPER JP1 is OPEN
	pause
	echo.
	echo Hit reset in the DSPx/KDSP interface NOW OR
	echo cycle power off and on with JP1 open 
	pause
	CLS
	GOTO testports
	
:runezld
	echo Wait while EZLD installs flash utility to DSP memory
	echo.
	echo on
	ezld %el% flashutb.exe g
	echo off
	GOTO testports
	
:doload
	echo.
	echo The Flash utility is running and will write the contents
	echo of %fn% to Bank1. Leave power on, and DO NOT hit the
	echo reset until directed.
	echo.
	



	set ec=5
 
 
	echo on
	xflash1 %el% 1 %fn% 0
	echo off
  
   
   
	echo EXITING BATCH FILE  
    goto end
 
 
 
 
 
 
  
 
  
 
:bummer
	echo Something strange happened
	echo EXITING BATCH FILE 
	GOTO end

:noport
	echo The PC BIOS is not set for any COM Ports.
	echo This is not a cable, power or DSP problem 
	echo This must be fixed in the computer
	echo before anything can be run.
	echo EXITING BATCH FILE
	GOTO end
:noserial
	echo No serial communications were found with the DSP-10
	echo this can be caused by the DSP-10 being off, or the
	echo serial cable not connected. Sadly, it is also possible
	echo that there is no MONITOR in the FLASH. You can use a 
	echo terminal program to check for the prescence of a monitor.
	echo EXITING BATCH FILE
	GOTO end
:bsp
	echo.
	echo.
	echo The file name  %fn%  entered as an option does not exist in the
	echo directory. Check your spelling and if the file exists in the
	echo directory.  If you know the path to the file, the path plus file
	echo can be used on the command line.
	echo.
    echo MON flash/work/NEWhex.HEX as an example
	echo EXITING BATCH FILE
	GOTO end

:splash
	echo.
	echo.
 	echo.
	echo AD1.EXE, EZLD.COM, UHF3x.BAT, XFLASH1.EXE, XFINDMN1.EXE and UHF3X35A.HEX
	echo MUST BE in the same directory. 
	echo.
	echo EXITING BATCH FILE
:end 
